<?php
/**
 * CargoOrderStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Logistic
 *
 * Управление логистикой
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\LogisticClient\Dto;
use \Ensi\LogisticClient\ObjectSerializer;

/**
 * CargoOrderStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Статус заказа на забор груза. Расшифровка значений:   * &#x60;1&#x60; - Новый   * &#x60;2&#x60; - Выполнен   * &#x60;3&#x60; - Отменен
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class CargoOrderStatusEnum
{
    
    /** Новый */
    public const NEW = 1;
    
    /** Выполнен */
    public const DONE = 2;
    
    /** Отменен */
    public const CANCELED = 3;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::NEW,
            self::DONE,
            self::CANCELED,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::NEW => 'Новый',
            self::DONE => 'Выполнен',
            self::CANCELED => 'Отменен',
        ];
    }
}


